Bug 862093 - [abrt] ekiga-3.9.90-1.fc17: strlen: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV)
[abrt] ekiga-3.9.90-1.fc17: strlen: Process /usr/bin/ekiga was killed by sign...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:ab44bbf4389d88715e4f4158d72...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 16:25 EDT by Stuart D Gathman
Modified: 2012-10-17 22:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 22:02:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.25 KB, text/plain)
2012-10-01 16:26 EDT, Stuart D Gathman
no flags Details
File: environ (2.96 KB, text/plain)
2012-10-01 16:26 EDT, Stuart D Gathman
no flags Details
File: backtrace (58.00 KB, text/plain)
2012-10-01 16:26 EDT, Stuart D Gathman
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-01 16:26 EDT, Stuart D Gathman
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-01 16:26 EDT, Stuart D Gathman
no flags Details
File: maps (44.49 KB, text/plain)
2012-10-01 16:26 EDT, Stuart D Gathman
no flags Details
File: dso_list (13.78 KB, text/plain)
2012-10-01 16:26 EDT, Stuart D Gathman
no flags Details
File: build_ids (6.13 KB, text/plain)
2012-10-01 16:26 EDT, Stuart D Gathman
no flags Details
File: var_log_messages (285 bytes, text/plain)
2012-10-01 16:26 EDT, Stuart D Gathman
no flags Details
File: open_fds (1.90 KB, text/plain)
2012-10-01 16:26 EDT, Stuart D Gathman
no flags Details

  None (edit)
Description Stuart D Gathman 2012-10-01 16:25:58 EDT
Description of problem:
Ran with debugging to help diagnose problem loading configs.

Version-Release number of selected component:
ekiga-3.9.90-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        ekiga -d 4
crash_function: strlen
kernel:         3.5.4-1.fc17.i686

truncated backtrace:
:Thread no. 1 (7 frames)
: #0 strlen at /lib/libc.so.6
: #1 std::basic_ostream<char, std::char_traits<char> >& std::__ostream_insert<char, std::char_traits<char> >(std::basic_ostream<char, std::char_traits<char> >&, char const*, int) at /lib/libstdc++.so.6
: #2 operator<< at /usr/src/debug/opal-3.10.7/src/sip/sippdu.cxx:3414
: #3 SIPEndPoint::Register at /usr/src/debug/opal-3.10.7/src/sip/sipep.cxx:1073
: #4 Opal::Sip::EndPoint::Register at ../lib/engine/components/opal/sip-endpoint.cpp:555
: #5 Opal::Sip::subscriber::Main at ../lib/engine/components/opal/sip-endpoint.cpp:98
: #6 PThread::PX_ThreadStart at ptlib/unix/tlibthrd.cxx:491
Comment 1 Stuart D Gathman 2012-10-01 16:26:00 EDT
Created attachment 619998 [details]
File: core_backtrace
Comment 2 Stuart D Gathman 2012-10-01 16:26:02 EDT
Created attachment 619999 [details]
File: environ
Comment 3 Stuart D Gathman 2012-10-01 16:26:03 EDT
Created attachment 620000 [details]
File: backtrace
Comment 4 Stuart D Gathman 2012-10-01 16:26:05 EDT
Created attachment 620001 [details]
File: limits
Comment 5 Stuart D Gathman 2012-10-01 16:26:06 EDT
Created attachment 620002 [details]
File: cgroup
Comment 6 Stuart D Gathman 2012-10-01 16:26:08 EDT
Created attachment 620003 [details]
File: maps
Comment 7 Stuart D Gathman 2012-10-01 16:26:09 EDT
Created attachment 620004 [details]
File: dso_list
Comment 8 Stuart D Gathman 2012-10-01 16:26:11 EDT
Created attachment 620005 [details]
File: build_ids
Comment 9 Stuart D Gathman 2012-10-01 16:26:12 EDT
Created attachment 620006 [details]
File: var_log_messages
Comment 10 Stuart D Gathman 2012-10-01 16:26:14 EDT
Created attachment 620007 [details]
File: open_fds
Comment 11 Eugen Dedu 2012-10-04 10:35:43 EDT
Stuart, I cannot find where the problem is.  Could you reproduce the problem?  If yes, plese execute ekiga like this:
  gdb --args ekiga-snapshot -d 4 2>&1|tee /tmp/gdb-ekiga.txt
and give us gdb-ekiga.txt file.
Comment 12 Stuart D Gathman 2012-10-04 12:13:15 EDT
Not happening any more.  In fact, the original problem with not reading configs (bug#859497) properly has gone away since Sep 27 - probably with the libxml2 or glib2 updates.
Comment 13 Eugen Dedu 2012-10-17 13:17:40 EDT
Then just close this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.